## cascading.flow
Class FlowSession

    java.lang.Object
      cascading.flow.FlowSession

    public class FlowSession

extends Object

FlowSession implementations provide a call-back interface into the current flow management system, if any.

A FlowSession is effectively unique to the current `Flow`, where a `FlowProcess` is unique to each underlying 'job'.

See Also:
  `FlowProcess`

Field Summary
`static FlowSession` `NULL` Field NULL is a noop implemenation of FlowSession.

Constructor Summary
`FlowSession()` Constructor FlowSession creates a new FlowSession instance.
`FlowSession(FlowProcess currentProcess)` Constructor FlowSession creates a new FlowSession instance.

Method Summary
`FlowProcess` `getCurrentProcess()` Method getCurrentProcess returns the currentProcess of this FlowSession object.
`void` `setCurrentProcess(FlowProcess currentProcess)` Method setCurrentProcess sets the currentProcess of this FlowSession object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NULL

    public static final FlowSession NULL

  Field NULL is a noop implemenation of FlowSession.

Constructor Detail

### FlowSession

    public FlowSession()

  Constructor FlowSession creates a new FlowSession instance.

### FlowSession

    public FlowSession(FlowProcess currentProcess)

  Constructor FlowSession creates a new FlowSession instance.

  Parameters:
    `currentProcess` - of type FlowProcess

Method Detail

### setCurrentProcess

    public void setCurrentProcess(FlowProcess currentProcess)

  Method setCurrentProcess sets the currentProcess of this FlowSession object.

  Parameters:
    `currentProcess` - the currentProcess of this FlowSession object.

### getCurrentProcess

    public FlowProcess getCurrentProcess()

  Method getCurrentProcess returns the currentProcess of this FlowSession object.

  Returns:
    the currentProcess (type FlowProcess) of this FlowSession object.

Copyright © 2007-2010 Concurrent, Inc. All Rights Reserved.